NL_LANGINFO(3)

NAME
nl_langinfo, nl_langinfo - get locale information

SYNOPSIS
#include <langinfo.h>
char *
nl_langinfo(nl_item item);
#include <xlocale.h>
char *
nl_langinfo_l(nl_item item);

DESCRIPTION
The nl_langinfo() function returns a pointer to a string containing information set by the program's locale. The function nl_langinfo_l() does the same but uses the locale given as parameter, see xlocale(3)

The names and values of item are defined in <langinfo.h>.

RETURN VALUES
nl_langinfo() returns a pointer to an empty string if item is invalid.

ERRORS
Regarding CRNCYSTR from http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/langinfo.h.html it is not clear how to detect when to use '.' (i.e currency symbol replaces radix char). Such information is not present at http://unicode.org/cldr/trac/browser/tags/release-1-9/posix/.

FreeBSD implements p_cs_precedes == CHAR_MAX to mean that currency symbol replaces radix char.

SEE ALSO
setlocale(3) xlocale(3)